## bspwm 0.9.1

=== Makefile ===
VERSION := $(shell git describe 2> /dev/null || cat VERSION)

CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
CFLAGS   += -std=c99 -pedantic -Wall -Wextra
LDLIBS    = -lm -lxcb -lxcb-util -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama

PREFIX    ?= /usr/local
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man
DOCPREFIX ?= $(PREFIX)/share/doc/bspwm
BASHCPL   ?= $(PREFIX)/share/bash-completion/completions
ZSHCPL    ?= $(PREFIX)/share/zsh/site-functions

MD_DOCS = README.md doc/CHANGELOG.md doc/CONTRIBUTING.md doc/INSTALL.md doc/MISC.md doc/TODO.md
XSESSIONS ?= $(PREFIX)/share/xsessions

WM_SRC = bspwm.c helpers.c geometry.c jsmn.c settings.c monitor.c desktop.c tree.c stack.c history.c \
	 events.c pointer.c window.c messages.c parse.c query.c restore.c rule.c ewmh.c subscribe.c
WM_OBJ = $(WM_SRC:.c=.o)
CLI_SRC = bspc.c helpers.c
CLI_OBJ = $(CLI_SRC:.c=.o)

all: bspwm bspc

debug: CFLAGS += -O0 -g
debug: bspwm bspc

include Sourcedeps

$(WM_OBJ) $(CLI_OBJ): Makefile

bspwm: $(WM_OBJ)

bspc: $(CLI_OBJ)

install:
	mkdir -p "$(DESTDIR)$(BINPREFIX)"
	cp -pf bspwm "$(DESTDIR)$(BINPREFIX)"
	cp -pf bspc "$(DESTDIR)$(BINPREFIX)"
	mkdir -p "$(DESTDIR)$(MANPREFIX)"/man1
	cp -p doc/bspwm.1 "$(DESTDIR)$(MANPREFIX)"/man1
	cp -Pp doc/bspc.1 "$(DESTDIR)$(MANPREFIX)"/man1
	mkdir -p "$(DESTDIR)$(BASHCPL)"
	cp -p contrib/bash_completion "$(DESTDIR)$(BASHCPL)"/bspc
	mkdir -p "$(DESTDIR)$(ZSHCPL)"
	cp -p contrib/zsh_completion "$(DESTDIR)$(ZSHCPL)"/_bspc
	mkdir -p "$(DESTDIR)$(DOCPREFIX)"
	cp -p $(MD_DOCS) "$(DESTDIR)$(DOCPREFIX)"
	cp -pr examples "$(DESTDIR)$(DOCPREFIX)"/examples
	mkdir -p "$(DESTDIR)$(XSESSIONS)"
	cp -p contrib/freedesktop/bspwm.desktop "$(DESTDIR)$(XSESSIONS)"

uninstall:
	rm -f "$(DESTDIR)$(BINPREFIX)"/bspwm
	rm -f "$(DESTDIR)$(BINPREFIX)"/bspc
	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/bspwm.1
	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/bspc.1
	rm -f "$(DESTDIR)$(BASHCPL)"/bspc
	rm -f "$(DESTDIR)$(ZSHCPL)"/_bspc
	rm -rf "$(DESTDIR)$(DOCPREFIX)"
	rm -f "$(DESTDIR)$(XSESSIONS)"/bspwm.desktop

doc:
	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/bspwm.1.asciidoc

clean:
	rm -f $(WM_OBJ) $(CLI_OBJ) bspwm bspc

.PHONY: all debug install uninstall doc clean

=== debian/changelog ===
bspwm (0.9.1-2) unstable; urgency=medium

  * Remove xcb from Build-Depends.
  * Change URL of upstream to https://github.com/baskerville/bspwm.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 31 May 2016 20:00:48 +0900

bspwm (0.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #815891)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 22 May 2016 10:08:59 +0900

=== debian/control ===
Source: bspwm
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael mota <raphaelmota.ti@gmail.com>
Priority: extra
Section: x11
Build-Depends: debhelper (>= 9),
	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/baskerville/bspwm
Vcs-Git: git://anonscm.debian.org/collab-maint/bspwm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bspwm.git;a=summary

Package: bspwm
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
 ${misc:Depends},
 x11-utils,
 sxhkd
Recommends: lemonbar, xdo
Provides: x-window-manager,
Description: Binary space partitioning window manager
 Bspwm is a tiling window manager that represents windows as the
 leaves of a full binary tree.

## bspwm 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,26 @@
-VERSION := $(shell git describe 2> /dev/null || cat VERSION)
+VERCMD  ?= git describe 2> /dev/null
+VERSION := $(shell $(VERCMD) || cat VERSION)
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
-LDLIBS    = -lm -lxcb -lxcb-util -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama
+LDLIBS    = -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama
 
 PREFIX    ?= /usr/local
 BINPREFIX ?= $(PREFIX)/bin
 MANPREFIX ?= $(PREFIX)/share/man
 DOCPREFIX ?= $(PREFIX)/share/doc/bspwm
 BASHCPL   ?= $(PREFIX)/share/bash-completion/completions
+FISHCPL   ?= $(PREFIX)/share/fish/vendor_completions.d
 ZSHCPL    ?= $(PREFIX)/share/zsh/site-functions
 
-MD_DOCS = README.md doc/CHANGELOG.md doc/CONTRIBUTING.md doc/INSTALL.md doc/MISC.md doc/TODO.md
+MD_DOCS    = README.md doc/CHANGELOG.md doc/CONTRIBUTING.md doc/INSTALL.md doc/MISC.md doc/TODO.md
 XSESSIONS ?= $(PREFIX)/share/xsessions
 
-WM_SRC = bspwm.c helpers.c geometry.c jsmn.c settings.c monitor.c desktop.c tree.c stack.c history.c \
+WM_SRC   = bspwm.c helpers.c geometry.c jsmn.c settings.c monitor.c desktop.c tree.c stack.c history.c \
 	 events.c pointer.c window.c messages.c parse.c query.c restore.c rule.c ewmh.c subscribe.c
-WM_OBJ = $(WM_SRC:.c=.o)
-CLI_SRC = bspc.c helpers.c
-CLI_OBJ = $(CLI_SRC:.c=.o)
+WM_OBJ  := $(WM_SRC:.c=.o)
+CLI_SRC  = bspc.c helpers.c
+CLI_OBJ := $(CLI_SRC:.c=.o)
 
 all: bspwm bspc
 
@@ -42,6 +44,8 @@
 	cp -Pp doc/bspc.1 "$(DESTDIR)$(MANPREFIX)"/man1
 	mkdir -p "$(DESTDIR)$(BASHCPL)"
 	cp -p contrib/bash_completion "$(DESTDIR)$(BASHCPL)"/bspc
+	mkdir -p "$(DESTDIR)$(FISHCPL)"
+	cp -p contrib/fish_completion "$(DESTDIR)$(FISHCPL)"/bspc.fish
 	mkdir -p "$(DESTDIR)$(ZSHCPL)"
 	cp -p contrib/zsh_completion "$(DESTDIR)$(ZSHCPL)"/_bspc
 	mkdir -p "$(DESTDIR)$(DOCPREFIX)"
@@ -56,6 +60,7 @@
 	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/bspwm.1
 	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/bspc.1
 	rm -f "$(DESTDIR)$(BASHCPL)"/bspc
+	rm -f "$(DESTDIR)$(FISHCPL)"/bspc.fish
 	rm -f "$(DESTDIR)$(ZSHCPL)"/_bspc
 	rm -rf "$(DESTDIR)$(DOCPREFIX)"
 	rm -f "$(DESTDIR)$(XSESSIONS)"/bspwm.desktop

=== debian/changelog ===
bspwm (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    - Use a secure transport for the Vcs-Git and Vcs-Browser URL.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 Nov 2016 21:16:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: bspwm
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Uploaders: Raphael mota <raphaelmota.ti@gmail.com>
+Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Priority: extra
 Section: x11
 Build-Depends: debhelper (>= 9),
@@ -8,8 +8,8 @@
 	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/baskerville/bspwm
-Vcs-Git: git://anonscm.debian.org/collab-maint/bspwm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bspwm.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/bspwm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bspwm.git/
 
 Package: bspwm
 Architecture: any

## bspwm 0.9.3

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 debug: CFLAGS += -O0 -g
 debug: bspwm bspc
 
+VPATH=src
+
 include Sourcedeps
 
 $(WM_OBJ) $(CLI_OBJ): Makefile
@@ -50,7 +52,8 @@
 	cp -p contrib/zsh_completion "$(DESTDIR)$(ZSHCPL)"/_bspc
 	mkdir -p "$(DESTDIR)$(DOCPREFIX)"
 	cp -p $(MD_DOCS) "$(DESTDIR)$(DOCPREFIX)"
-	cp -pr examples "$(DESTDIR)$(DOCPREFIX)"/examples
+	mkdir -p "$(DESTDIR)$(DOCPREFIX)"/examples
+	cp -pr examples/* "$(DESTDIR)$(DOCPREFIX)"/examples
 	mkdir -p "$(DESTDIR)$(XSESSIONS)"
 	cp -p contrib/freedesktop/bspwm.desktop "$(DESTDIR)$(XSESSIONS)"

=== debian/changelog ===
bspwm (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    - Update Standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Jul 2017 12:45:00 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
 	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
 	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/baskerville/bspwm
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/bspwm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bspwm.git/
@@ -19,7 +19,7 @@
  x11-utils,
  sxhkd
 Recommends: lemonbar, xdo
-Provides: x-window-manager,
+Provides: x-window-manager
 Description: Binary space partitioning window manager
  Bspwm is a tiling window manager that represents windows as the
  leaves of a full binary tree.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean

	rm -rf *.o

override_dh_auto_install:
	dh_auto_install

	rm -rf ${CURDIR}/debian/bspwm/usr/share/doc/bspwm/INSTALL.md
	rm -rf ${CURDIR}/debian/bspwm/usr/share/doc/bspwm/CHANGELOG.md

## bspwm 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 VERCMD  ?= git describe 2> /dev/null
 VERSION := $(shell $(VERCMD) || cat VERSION)
 
-CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
+CPPFLAGS += -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
-LDLIBS    = -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama
+LDFLAGS  ?=
+LDLIBS    = $(LDFLAGS) -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama
 
 PREFIX    ?= /usr/local
 BINPREFIX ?= $(PREFIX)/bin

=== debian/changelog ===
bspwm (0.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 11 Apr 2018 14:44:17 +0900

bspwm (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Update debhelper to 11.
  * Change Priority to optional.
  * Update Vcs-Git and Vcs-Browser to salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 05 Apr 2018 16:04:29 +0900

=== debian/control ===
Source: bspwm
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Priority: optional
Section: x11
Build-Depends: debhelper (>= 11),
	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev
Standards-Version: 4.1.3
Homepage: https://github.com/baskerville/bspwm
Vcs-Git: https://salsa.debian.org/debian/bspwm.git
Vcs-Browser: https://salsa.debian.org/debian/bspwm

Package: bspwm
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 x11-utils,
 sxhkd
Recommends: lemonbar, xdo
Provides: x-window-manager
Description: Binary space partitioning window manager
 Bspwm is a tiling window manager that represents windows as the
 leaves of a full binary tree.

## bspwm 0.9.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CPPFLAGS += -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
 LDFLAGS  ?=
-LDLIBS    = $(LDFLAGS) -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama
+LDLIBS    = $(LDFLAGS) -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama -lxcb-shape
 
 PREFIX    ?= /usr/local
 BINPREFIX ?= $(PREFIX)/bin

=== debian/changelog ===
bspwm (0.9.7-2) unstable; urgency=medium

  * Upload to unstable.
  * Update d/control.
    - Add libxcb-shape0-dev to B-D.
    - Update Vcs-Git and Vcs-Browser to salsa.
    - Get rid of lintian 'priority-extra-is-replaced-by-priority-optional'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Jul 2019 05:17:08 +0900

bspwm (0.9.7-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Feb 2019 16:50:08 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Priority: optional
 Section: x11
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9),
 	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
-	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev
-Standards-Version: 4.1.3
+	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev,
+	libxcb-shape0-dev
+Standards-Version: 4.0.0
 Homepage: https://github.com/baskerville/bspwm
 Vcs-Git: https://salsa.debian.org/debian/bspwm.git
 Vcs-Browser: https://salsa.debian.org/debian/bspwm
 
 Package: bspwm
 Architecture: any
+Section: x11
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  x11-utils,

## bspwm 0.9.8

=== debian/changelog ===
bspwm (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Remove duplicate section.
    - Bump debhelper compat up to 12.
    - Bump Standards-Version to 4.4.0.
  * Update d/copyright.
    - Get rid of lintian 'insecure-copyright-format-uri'.
    - Bump copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Aug 2019 11:58:13 +0900

## bspwm 0.9.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 VERSION := $(shell $(VERCMD) || cat VERSION)
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\"
-CFLAGS   += -std=c99 -pedantic -Wall -Wextra
+CFLAGS   += -std=c99 -pedantic -Wall -Wextra -DJSMN_STRICT
 LDFLAGS  ?=
 LDLIBS    = $(LDFLAGS) -lm -lxcb -lxcb-util -lxcb-keysyms -lxcb-icccm -lxcb-ewmh -lxcb-randr -lxcb-xinerama -lxcb-shape

=== debian/changelog ===
bspwm (0.9.9-2) unstable; urgency=medium

  [Debian Janitor <janitor@jelmer.uk>]
  * Update standards version to 4.4.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Feb 2020 09:49:20 +0900

bspwm (0.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2019 08:21:38 +0900

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Priority: optional
 Section: x11
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
+	debhelper (>= 12),
 	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
 	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev,
 	libxcb-shape0-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/baskerville/bspwm
 Vcs-Git: https://salsa.debian.org/debian/bspwm.git
 Vcs-Browser: https://salsa.debian.org/debian/bspwm
 
 Package: bspwm
 Architecture: any
-Section: x11
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  x11-utils,

## bspwm 0.9.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERCMD  ?= git describe 2> /dev/null
+VERCMD  ?= git describe --tags 2> /dev/null
 VERSION := $(shell $(VERCMD) || cat VERSION)
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION)\"

=== tests/Makefile ===
OUT      = test_window
CFLAGS  += -std=c99 -pedantic -Wall -Wextra
LDLIBS   = -lxcb -lxcb-icccm

SRC = $(wildcard *.c)
OBJ = $(SRC:.c=.o)

all: $(OUT)

clean:
	$(RM) $(OUT) $(OBJ)

.PHONY: all clean

=== debian/changelog ===
bspwm (0.9.10-3) unstable; urgency=medium

  * d/rules:
    * Add and install xdg-desktop-portal configuration.
  * d/copyright:
    * Update copyright year.
  * d/control
    * Bump Standards-Version to 4.7.0.
    * Bump debhelper-compat to 13.
    * Update package name from libxcb-util0-dev to libxcb-util-dev in B-D.
    * Add 'Rules-Requires-Root: no'.
  * d/patches:
    * Add patch to fix X event issue (Closes: #1055151)
    * Add patch for adding DesktopNames to bspwm.desktop (Closes: #1050999)
  * d/watch:
    * Update to v4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 24 Jan 2025 23:40:13 +0900

bspwm (0.9.10-2) unstable; urgency=medium

  * Fix install path of zsh completion file. (Closes: #966539)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Aug 2020 09:02:52 +0900

bspwm (0.9.10-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Aug 2020 13:38:24 +0900

bspwm (0.9.9-3) unstable; urgency=medium

  *Update d/control.
    - Bump Standards-Version to 4.5.0.
  * Fix build with gcc-10 (Closes: #957060)
    - Add d/patches/0001-Add-fcommon-to-CFLAGS-Closes-957060.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 18 Apr 2020 14:41:53 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Priority: optional
 Section: x11
-Build-Depends: debhelper-compat (= 12),
-	debhelper (>= 12),
-	libxcb-util0-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
+Build-Depends: debhelper-compat (= 13),
+	libxcb-util-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
 	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev,
 	libxcb-shape0-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/baskerville/bspwm
 Vcs-Git: https://salsa.debian.org/debian/bspwm.git
 Vcs-Browser: https://salsa.debian.org/debian/bspwm

=== debian/rules ===
#!/usr/bin/make -f

export ZSHCPL=/usr/share/zsh/vendor-completions
export PREFIX=/usr

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean

	rm -rf *.o

override_dh_auto_install:
	dh_auto_install

	mkdir -p $(CURDIR)/debian/bspwm/usr/share/xdg-desktop-portal/
	cp debian/bspwm-portals.conf \
		$(CURDIR)/debian/bspwm/usr/share/xdg-desktop-portal/

	rm -rf $(CURDIR)/debian/bspwm/usr/share/doc/bspwm/INSTALL.md
	rm -rf $(CURDIR)/debian/bspwm/usr/share/doc/bspwm/CHANGELOG.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bspwm-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/baskerville/bspwm/tags .*/v?(\d\S*)\.tar\.gz

## bspwm 0.9.12

=== debian/changelog ===
bspwm (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * d/patches:
    - Remove 0002-contrib-freedesktop-bspwm.desktop-Set-DesktopNames-C.patch
    - Remove 0003-Fix-1055151.patch
  * d/copyright: Update copyright year
  * d/control:
    - Dumped Standards-Version to 4.7.2. No changes needed
    - Remove redundant Rules-Requires-Root field
  * d/watch: Update to 5
  * d/xsessions: Remove bspwm.desktop
  * d/gbp.conf: Use DEP14 and use debian/latest branch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 03 Jan 2026 16:28:36 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 	libxcb-util-dev, libxcb-ewmh-dev, libxcb-randr0-dev,
 	libxcb-icccm4-dev, libxcb-keysyms1-dev, libxcb-xinerama0-dev,
 	libxcb-shape0-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/baskerville/bspwm
 Vcs-Git: https://salsa.debian.org/debian/bspwm.git
 Vcs-Browser: https://salsa.debian.org/debian/bspwm

=== debian/watch ===
version=5
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bspwm-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/baskerville/bspwm/tags .*/v?(\d\S*)\.tar\.gz
